com.unitech.lib.rpx.device

## Class DeviceRP902

- java.lang.Object
- - com.unitech.lib.reader.device.BaseDevice
  - - com.unitech.lib.rpx.device.DeviceRP902

- All Implemented Interfaces:
    IProtocolEventListener

      public class DeviceRP902
      extends BaseDevice
      implements IProtocolEventListener

- - ### Field Summary

    - ### Fields inherited from class com.unitech.lib.reader.device.BaseDevice

      `_protocol, INFO, TAG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeviceRP902(BaseTransport baseTransport, IDeviceEventListener listener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `factoryReset()`
    `int` | `getAutoOffTime()`
    `int[]` | `getAutoOffTimeList()`
    `boolean` | `getBatteryRemains()` Get the device's battery status
    `BeeperState` | `getBeeper()`
    `DataFormat` | `getDataFormat()`
    `DataInfo` | `getDataInfo()`
    `DataRange` | `getDataRange()`
    `DataTerminator` | `getDataTerminator()`
    `FindDevice` | `getFindDevice()`
    `int` | `getModuleInfo(DeviceOptionType type)` Get the specific module's model number in the device
    `OperatingMode` | `getOperatingMode()`
    `ReadMode` | `getReadMode()`
    `ScreenOffTime` | `getScreenOffTime()`
    `java.lang.String` | `getSerialNo()`
    `SKUType` | `getSKU()`
    `double` | `getTemperature()`
    `java.lang.String` | `getTime()`
    `java.lang.String` | `getVersion()`
    `VibratorState` | `getVibrator()`
    `void` | `initModuleInfo()` Initialize module info for get device's supported module
    `void` | `onEvent(int cmd, int sub, java.lang.Object data)`
    `void` | `setAutoOffTime(int value)`
    `void` | `setBeeper(BeeperState value)`
    `void` | `setDataFormat(DataFormat dataFormat)`
    `void` | `setDataInfo(DataInfo dataInfo)`
    `void` | `setDataRange(DataRange dataRange)`
    `void` | `setDataTerminator(DataTerminator dataTerminator)`
    `void` | `setDisplayOutput(DisplayOutput display)`
    `void` | `setFindDevice(FindDevice mode)`
    `void` | `setMultiCmdFlag(boolean multiCmdFlag)`
    `void` | `setOperatingMode(OperatingMode mode)`
    `void` | `setReadMode(ReadMode mode)`
    `void` | `setScreenOffTime(ScreenOffTime time)`
    `void` | `setTime(java.lang.String value)`
    `void` | `setVibrator(VibratorState value)`

    - ### Methods inherited from class com.unitech.lib.reader.device.BaseDevice

      `getProtocol, getTransport, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeviceRP902

          public DeviceRP902(BaseTransport baseTransport,
                             IDeviceEventListener listener)

  - ### Method Detail

    - #### getVersion

          public java.lang.String getVersion()

      Specified by:
        `getVersion` in class `BaseDevice`

    - #### onEvent

          public void onEvent(int cmd,
                              int sub,
                              java.lang.Object data)

      Specified by:
        `onEvent` in interface `IProtocolEventListener`

    - #### getVibrator

          public VibratorState getVibrator()
                                    throws ReaderException

      Throws:
        `ReaderException`

    - #### setVibrator

          public void setVibrator(VibratorState value)
                           throws ReaderException

      Throws:
        `ReaderException`

    - #### getBeeper

          public BeeperState getBeeper()
                                throws ReaderException

      Throws:
        `ReaderException`

    - #### setBeeper

          public void setBeeper(BeeperState value)
                         throws ReaderException

      Throws:
        `ReaderException`

    - #### factoryReset

          public void factoryReset()
                            throws ReaderException

      Throws:
        `ReaderException`

    - #### getSKU

          public SKUType getSKU()
                         throws ReaderException

      Throws:
        `ReaderException`

    - #### getTemperature

          public double getTemperature()
                                throws ReaderException

      Throws:
        `ReaderException`

    - #### getReadMode

          public ReadMode getReadMode()
                               throws ReaderException

      Throws:
        `ReaderException`

    - #### setReadMode

          public void setReadMode(ReadMode mode)
                           throws ReaderException

      Throws:
        `ReaderException`

    - #### getAutoOffTimeList

          public int[] getAutoOffTimeList()

    - #### getAutoOffTime

          public int getAutoOffTime()
                             throws ReaderException

      Throws:
        `ReaderException`

    - #### setAutoOffTime

          public void setAutoOffTime(int value)
                              throws ReaderException

      Throws:
        `ReaderException`

    - #### getFindDevice

          public FindDevice getFindDevice()
                                   throws ReaderException

      Throws:
        `ReaderException`

    - #### setFindDevice

          public void setFindDevice(FindDevice mode)
                             throws ReaderException

      Throws:
        `ReaderException`

    - #### getOperatingMode

          public OperatingMode getOperatingMode()
                                         throws ReaderException

      Throws:
        `ReaderException`

    - #### setOperatingMode

          public void setOperatingMode(OperatingMode mode)
                                throws ReaderException

      Throws:
        `ReaderException`

    - #### getDataFormat

          public DataFormat getDataFormat()
                                   throws ReaderException

      Throws:
        `ReaderException`

    - #### setDataFormat

          public void setDataFormat(DataFormat dataFormat)
                             throws ReaderException

      Throws:
        `ReaderException`

    - #### getDataInfo

          public DataInfo getDataInfo()
                               throws ReaderException

      Throws:
        `ReaderException`

    - #### setDataInfo

          public void setDataInfo(DataInfo dataInfo)
                           throws ReaderException

      Throws:
        `ReaderException`

    - #### getDataRange

          public DataRange getDataRange()
                                 throws ReaderException

      Throws:
        `ReaderException`

    - #### setDataRange

          public void setDataRange(DataRange dataRange)
                            throws ReaderException

      Throws:
        `ReaderException`

    - #### getDataTerminator

          public DataTerminator getDataTerminator()
                                           throws ReaderException

      Throws:
        `ReaderException`

    - #### setDataTerminator

          public void setDataTerminator(DataTerminator dataTerminator)
                                 throws ReaderException

      Throws:
        `ReaderException`

    - #### setDisplayOutput

          public void setDisplayOutput(DisplayOutput display)
                                throws ReaderException

      Throws:
        `ReaderException`

    - #### getScreenOffTime

          public ScreenOffTime getScreenOffTime()
                                         throws ReaderException

      Throws:
        `ReaderException`

    - #### setScreenOffTime

          public void setScreenOffTime(ScreenOffTime time)
                                throws ReaderException

      Throws:
        `ReaderException`

    - #### setMultiCmdFlag

          public void setMultiCmdFlag(boolean multiCmdFlag)
                               throws ReaderException

      Throws:
        `ReaderException`

    - #### getTime

          public java.lang.String getTime()
                                   throws ReaderException

      Throws:
        `ReaderException`

    - #### setTime

          public void setTime(java.lang.String value)
                       throws ReaderException

      Throws:
        `ReaderException`

    - #### getSerialNo

          public java.lang.String getSerialNo()
                                       throws ReaderException

      Throws:
        `ReaderException`

    - #### initModuleInfo

          public void initModuleInfo()
                              throws ReaderException

      Initialize module info for get device's supported module
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getModuleInfo

          public int getModuleInfo(DeviceOptionType type)
                            throws ReaderException

      Get the specific module's model number in the device
      Parameters:
        `type` - The module type
      Returns:
        The module's model number
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.

    - #### getBatteryRemains

          public boolean getBatteryRemains()
                                    throws ReaderException

      Get the device's battery status
      Returns:
        Return the status of the device with battery or not.
      Throws:
        `ReaderException` - An ReaderException exception is thrown if a failure occurs while setting data on the instrument or returning data.